%define		mod_name	security
%define		apxs		/usr/sbin/apxs
Summary:	Apache module: securing web applications
Summary(pl.UTF-8):	Moduł do apache: ochrona aplikacji WWW
Name:		apache-mod_%{mod_name}
Version:	2.7.5
Release:	2
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	http://www.modsecurity.org/tarball/%{version}//modsecurity-apache_%{version}.tar.gz
# Source0-md5:	ef471f4e126c34bf4d214103402a24ee
Source1:	%{name}.conf
URL:		http://www.modsecurity.org/
BuildRequires:	apache-devel
BuildRequires:	autoconf
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_unique_id
Suggests:	apache-mod_headers
Suggests:	apache-mod_security_crs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
ModSecurity is an open source intrusion detection and prevention
engine for web applications. It operates embedded into the web server,
acting as a powerful umbrella - shielding web applications from
attacks.

%description -l pl.UTF-8
ModSecurity jest otwartym silnikiem wykrywania i zapobiegania intruzom
dla aplikacji WWW. Operuje w ramach serwera WWW, działając jak potężny
parasol chroniący aplikacje WWW przed atakami.

%package -n mlogc
Summary:	ModSecurity Audit Log Collector
Group:		Networking/Daemons/HTTP
Requires:	%{name} = %{version}

%description -n mlogc
This package contains the ModSecurity Audit Log Collector.

%prep
%setup -q -n modsecurity-apache_%{version}

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{optflags}" \
	top_dir="%{apachelibdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}/modsecurity.d/activated_rules} \
	$RPM_BUILD_ROOT{/var/log/mlogc/data,%{_bindir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT/var/lib/%{name}

install apache2/.libs/mod_%{mod_name}2.so $RPM_BUILD_ROOT%{apachelibdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/90_mod_%{mod_name}.conf

cp -a modsecurity.conf-recommended $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d
echo '# Drop your local rules in here.' > $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d/modsecurity_localrules.conf

install mlogc/mlogc $RPM_BUILD_ROOT%{_bindir}
install mlogc/mlogc-batch-load.pl $RPM_BUILD_ROOT%{_bindir}/mlogc-batch-load
install mlogc/mlogc-default.conf $RPM_BUILD_ROOT%{_sysconfdir}/mlogc.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README.* modsecurity* doc/* tools
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%dir %{apacheconfdir}/modsecurity.d
%dir %{apacheconfdir}/modsecurity.d/activated_rules
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/modsecurity.d/*.*
%attr(755,root,root) %{apachelibdir}/*.so
%attr(770,http,root) %dir /var/lib/%{name}

%files -n mlogc
%defattr(644,root,root,755)
%doc mlogc/INSTALL
%attr(0640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mlogc.conf
%attr(0755,root,root) %{_bindir}/mlogc
%attr(0755,root,root) %{_bindir}/mlogc-batch-load
%attr(0755,root,root) %dir /var/log/mlogc
%attr(0770,root,http) %dir /var/log/mlogc/data
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/apache-mod_security.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> d109aeb
- x32 rebuild
- release 2 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> 5b702de
- up to 2.7.5 (CVE-2013-2765 fixed in 2.7.4)

* Tue May 07 2013 Jan Rękorajski <baggins@pld-linux.org> 0a5f8f5
- package dir for activated rules
- rel 3

* Tue May 07 2013 Jan Rękorajski <baggins@pld-linux.org> 8c29b74
- updated config
- package private state dir
- rel 2

* Mon May 06 2013 Jan Rękorajski <baggins@pld-linux.org> 6656cb6
- added mlogc package
- rel 1

* Mon May 06 2013 Jan Rękorajski <baggins@pld-linux.org> 2f82a7f
- updated to 2.7.3
- rules removed upstream, now in separate package (apache-mod_security_crs)

* Fri Mar 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b0dcb05
- release 3

* Sat Jul 23 2011 Tomasz Pala <gotar@pld-linux.org> 18f587c
- don't break -bi --short-circuit, packaged rules/util as %doc, rel. 2

* Wed Apr 27 2011 marti <marti@pld-linux.org> afbd1d8
- up to 2.5.13

* Thu May 13 2010 sparky <sparky@pld-linux.org> acec898
- BR: autoconf, libxml2-devel, pcre-devel, pkgconfig

* Thu Apr 15 2010 Tomasz Pala <gotar@pld-linux.org> 6daedeb
- use modsecurity.conf-minimal by default with the rest of base rules,
- set SecDataDir to /var/run/httpd, package *.data files,
- S: apache-mod_headers for crs_49_header_tagging, rel. 3

* Thu Apr 15 2010 Tomasz Pala <gotar@pld-linux.org> 25be6f0
- install base rules, rel. 2

* Thu Mar 18 2010 zbyniu <zbyniu@pld-linux.org> f40fe77
- up to 2.5.12

* Mon Nov 09 2009 Adam Gołębiowski <adamg@pld-linux.org> b3e6807
- removed

* Mon Nov 09 2009 Adam Gołębiowski <adamg@pld-linux.org> d4fa5ae
- updated to 2.5.11

* Tue Aug 11 2009 matik <matik@pld-linux.org> a79c6ea
- changed default config option not to mention Fedora
- S: cosmetics

* Sat Jun 13 2009 Tomasz Pala <gotar@pld-linux.org> 4097ac0
- restored local rules

* Sat Jun 13 2009 Tomasz Pala <gotar@pld-linux.org> 4121201
- [error] ModSecurity: ModSecurity requires mod_unique_id to be installed.

* Sat Jun 13 2009 Tomasz Pala <gotar@pld-linux.org> ea485c0
- load module once
- commented out local rules, fixed paths

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> d7014d5
- up to 2.5.9

